import { useCallback as r } from "react";
import { c, u } from "./useRoutes-367960a3.mjs";
const p = {
  alerts: []
}, i = c("header-alerts", p);
function f() {
  const [t, s] = u(i), a = r((e) => {
    s((n) => ({ alerts: [...n.alerts, e] }));
  }, []), o = r(() => {
    const e = t.alerts.shift();
    return s({ alerts: t.alerts }), e;
  }, [t.alerts]), l = r(() => {
    const e = t.alerts;
    return s({ alerts: [] }), e;
  }, [t.alerts]);
  return {
    state: t,
    mutations: {
      push: a,
      pop: o,
      popAll: l
    }
  };
}
export {
  f as u
};
